/* Copyright 1996-1999, CLRC Daresbury Laboratory.
   For licence conditions, see the file COPYING in the distribution.
 */

#ifndef __XDL_PANEL_ITM_H__
#define __XDL_PANEL_ITM_H__

typedef char * Panel_object;

Panel_object xdl_panel_label(int, Window, int, int, char *, int, int,
			     int, int, int, int);
Panel_object xdl_panel_button(int, Window, int, int, char *, int, int,
			      int, int, int, int, int, int, void (*) ());
Panel_object xdl_panel_choice(int, Window, int, int, char*, int,
			      char **, int, int, int, int, int, void (*) ());
Panel_object xdl_panel_slider(int, Window, int, int, char *, int, int,
			      int, int, int, int, void (*) ());
Panel_object xdl_panel_value(int, Window, int, int, char *, char *,
			     int, int, int, int, int, void (*) ());
Panel_object xdl_panel_io(int, Window, int, int, int, int, int, int,
			  int, int, int, int, void (*) ());

void xdl_panel_io_prompt (Panel_object, char *, int, int);
void xdl_panel_label_wid (Panel_object, Window *);
void xdl_panel_label_set (Panel_object, char *, int, int);
void xdl_panel_button_set (Panel_object, char *, int, int, int);
void xdl_panel_io_clear (Panel_object);
void xdl_panel_choice_reset (Panel_object, int);
void xdl_panel_slider_reset (Panel_object, int);
void xdl_panel_value_set (Panel_object, char *, int);
void xdl_panel_button_size (int, int, int, int *, int *);
void xdl_panel_io_wid (Panel_object, Window *);
void xdl_panel_choice_size (int, int, int, int, int *, int *);
void xdl_panel_label_size (int, int, int, int *, int *);
void xdl_panel_value_size (int, int, int, int, int *, int *);
void xdl_panel_slider_size (int, int, int, int, int *, int *);
void xdl_panel_io_size (int, int, int, int, int, int, int *, int *);

#endif /* ! __XDL_PANEL_ITM_H__ */
